Subject: [bug#37741] [PATCH 2/3] gnu: Add arm-trusted-firmware-rk3399.

From: Vagrant Cascadian <[email-masked]>
Date: Fri, 18 Oct 2019 12:22:54 -0700

On 2019-10-17, Kever Yang wrote:
> On 2019/10/17 下午1:46, Vagrant Cascadian wrote:
>> On 2019-10-15, Kever Yang wrote:
>>> On 2019/10/15 下午12:02, Vagrant Cascadian wrote:
>>>> On 2019-10-14, [email-masked] wrote:
>>>>> * gnu/packages/bootloaders.scm (arm-trusted-firmware-rk3399): New exported
>>>>> variable.
>>>> Thanks for working on this!
>>>>
>>>> Unfortunately this currently embeds a binary blob
>>>> (plat/rockchip/rk3399/drivers/dp/hdcp.bin) with no license.
>>>>
>>>> I reported the issue upstream:
>>>>
>>>>     https://github.com/ARM-software/tf-issues/issues/651
>>>
>>> I have send the patch to ATF to remove the hdpc.bin, you can comment on it.
>>>
>>> https://review.trustedfirmware.org/c/TF-A/trusted-firmware-a/+/2194
>> On both Debian and Guix it fails to build with:
>>
>> plat/rockchip/rk3399/plat_sip_calls.c: In function
>> ‘rockchip_plat_sip_handler’:
>> plat/rockchip/rk3399/plat_sip_calls.c:59:15: error: unused variable ‘x6’
>> [-Werror=unused-variable]
>>    uint64_t x5, x6;
...
> Sorry, I do catch this issue last week, but forgot to update it to the 
> Gerrit.
>
> Already update to a new patch set now.

Thanks! Was able to test on a rockpro64-rk3399 board, and it worked with
u-boot.

Pushed a slightly modified patch adding arm-trusted-firmware-rk3399 to
guix/master in commit 074554a2891830900e2ff9335799416723094fcb.

Will work on pushing the rest of the series as well; I've made some
relatively minor changes locally...

live well,
  vagrant